Bug 108626 - [patch] shells/bash-completion: drop dependency shells/bash2
Summary: [patch] shells/bash-completion: drop dependency shells/bash2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-31 20:20 UTC by Boris Samorodov
Modified: 2007-02-15 15:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2007-01-31 20:20:12 UTC
	In preparation to deprecate shells/bash2 the dependency should be
	dropped.

Fix: - drop OPTIONS for BASH2;
	- drop variable RUN_DEPENDS for shells/bash2;
	- do not bump PORTREVISION since this dependency is not default.



WBR
-- 
bsam--IIcBWFMWk6vsGO4D1JKBvaes9Rt2RN8E6WI28tn0eQbhVk5d
Content-Type: text/plain; name="bash-completion.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="bash-completion.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/shells/bash-completion/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- Makefile	31 Oct 2006 10:13:10 -0000	1.16
+++ Makefile	31 Jan 2007 20:07:57 -0000
@@ -20,16 +20,11 @@
 SUB_FILES=	pkg-message
 PLIST_FILES=	etc/bash_completion
 
-OPTIONS=	BASH2	"Use shells/bash2 instead of shells/bash"	off \
-		GSED	"Use GNU sed to enable additional completions"	off
+OPTIONS=	GSED	"Use GNU sed to enable additional completions"	off
 
 .include <bsd.port.pre.mk>
 
-.if defined(WITH_BASH2)
-RUN_DEPENDS+=	bash:${PORTSDIR}/shells/bash2
-.else
 RUN_DEPENDS+=	bash:${PORTSDIR}/shells/bash
-.endif
 
 .if defined(WITH_GSED)
 RUN_DEPENDS+=	gsed:${PORTSDIR}/textproc/gsed
Comment 1 Edwin Groothuis freebsd_committer 2007-01-31 20:20:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2007-01-31 20:20:35 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 dfilter service freebsd_committer 2007-02-15 15:32:20 UTC
bsam        2007-02-15 15:32:03 UTC

  FreeBSD ports repository

  Modified files:
    shells/bash-completion Makefile 
  Log:
  . drop OPTIONS for BASH2;
  . drop variable RUN_DEPENDS for shells/bash2;
  . do not bump PORTREVISION since this dependency is not default.
  
  PR:             108626
  Submitted by:   bsam (me)
  Approved by:    kirk at strauser.com (maintainer timeout -- 2 weeks)
  
  Revision  Changes    Path
  1.17      +1 -6      ports/shells/bash-completion/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Boris Samorodov freebsd_committer 2007-02-15 15:33:03 UTC
State Changed
From-To: feedback->closed

Committed, thanks. ;-)